Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io.arc
Class ARC2WCDX

    java.lang.Object
      org.archive.io.arc.ARC2WCDX

    public class ARC2WCDX

extends java.lang.Object

Create a 'Wide' CDX from an ARC. Takes one argument, the path to the ARC. Writes .wcdx.gz in same directory.

Author:
  gojomo

Field Summary
`static java.lang.String` | `WCDX_VERSION`

Constructor Summary
`ARC2WCDX()`

Method Summary
`protected static void` | `appendField(java.lang.StringBuilder builder, java.lang.Object obj)`
`protected static void` | `appendTimeField(java.lang.StringBuilder builder, java.lang.Object obj)`
`static java.lang.Object[]` | `createWcdx(ARCReader reader)`
`static java.lang.Object[]` | `createWcdx(java.lang.String arcFilename)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WCDX_VERSION

    public static final java.lang.String WCDX_VERSION

See Also:
  Constant Field Values

Constructor Detail

### ARC2WCDX

    public ARC2WCDX()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### createWcdx

    public static java.lang.Object[] createWcdx(java.lang.String arcFilename)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### createWcdx

    public static java.lang.Object[] createWcdx(ARCReader reader)

### appendField

    protected static void appendField(java.lang.StringBuilder builder,
                                      java.lang.Object obj)

### appendTimeField

    protected static void appendTimeField(java.lang.StringBuilder builder,
                                          java.lang.Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.